com.ihr.xbrl.updates

## Class UpdateFactProperties.UpdateSingleFactProperties

- java.lang.Object
- - com.ihr.xbrl.updates.UpdateFactProperties.UpdateSingleFactProperties

- Enclosing class:
    UpdateFactProperties

      public static class UpdateFactProperties.UpdateSingleFactProperties
      extends java.lang.Object

  The Class UpdateSingleFactProperties.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ERROR` The Constant ERROR.
    `static int` | `OK` The Constant OK.
    `static int` | `UNINITIALIZED` The Constant UNINITIALIZED.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UpdateFactProperties.UpdateSingleFactProperties()` Instantiates a new update single fact properties.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Exception` | `getException1()` Gets the exception1.
    `java.lang.Exception` | `getException2()` Gets the exception2.
    `java.lang.Long` | `getFactId()` Gets the fact id.
    `int` | `getStatus()` Gets the status.
    `int` | `processFact(java.lang.Long factId)` Process fact.
    `void` | `reset()` Reset.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### UNINITIALIZED

          public static final int UNINITIALIZED

      The Constant UNINITIALIZED.
      See Also:
        Constant Field Values

    - #### OK

          public static final int OK

      The Constant OK.
      See Also:
        Constant Field Values

    - #### ERROR

          public static final int ERROR

      The Constant ERROR.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UpdateFactProperties.UpdateSingleFactProperties

          public UpdateFactProperties.UpdateSingleFactProperties()

      Instantiates a new update single fact properties.

  - ### Method Detail

    - #### reset

          public void reset()

      Reset.

    - #### processFact

          public int processFact(java.lang.Long factId)

      Process fact.
      Parameters:
        `factId` - the fact id
      Returns:
        the int

    - #### getStatus

          public int getStatus()

      Gets the status.
      Returns:
        the status

    - #### getException1

          public java.lang.Exception getException1()

      Gets the exception1.
      Returns:
        the exception1

    - #### getException2

          public java.lang.Exception getException2()

      Gets the exception2.
      Returns:
        the exception2

    - #### getFactId

          public java.lang.Long getFactId()

      Gets the fact id.
      Returns:
        the factId